- Create Parameter
- Get Parameter
- Get Parameters
- Update Parameter
- Delete Parameter
POST /api/v1/metrics/parameterCreate a metric parameter.Request BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Display name.
string
Type or kind of the object.
string
Value to set.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "default_row_limit",
"type": "number",
"value": "10000"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"name": "default_row_limit",
"type": "number",
"value": "10000"
}
Response
{
"success": true,
"message": "Create a metric parameter.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/parameter/{parameterId}Get one metric parameter by ID.Path Parametersstring
required
ID of the metric parameter.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"default_row_limit".string
Example:
"Constant".string
Example:
"5000".boolean
Example:
true.string
Example:
"d0dc5b61-794d-52ee-a017-21580d41f111".string
Example:
"2026-08-18T06:06:33.379311Z".string
Example:
"2026-08-18T06:06:33.379652Z".string
Example:
"892de25a-54a1-5739-ba50-f45697e10db2".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get one metric parameter by ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "default_row_limit",
"type": "Constant",
"value": "5000",
"is_active": true,
"id": "d0dc5b61-794d-52ee-a017-21580d41f111",
"created_at": "2026-08-18T06:06:33.379311Z",
"modified_at": "2026-08-18T06:06:33.379652Z",
"created_by": "892de25a-54a1-5739-ba50-f45697e10db2"
}
}
POST /api/v1/metrics/parameter/listList metric parameters with optional export.Request Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"default_row_limit".string
Example:
"Constant".string
Example:
"5000".boolean
Example:
true.string
Example:
"d0dc5b61-794d-52ee-a017-21580d41f111".string
Example:
"2026-08-18T06:06:33.379311Z".string
Example:
"2026-08-18T06:06:33.379652Z".string
Example:
"892de25a-54a1-5739-ba50-f45697e10db2".integer
Example:
2.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "List metric parameters with optional export.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "default_row_limit",
"type": "Constant",
"value": "5000",
"is_active": true,
"id": "d0dc5b61-794d-52ee-a017-21580d41f111",
"created_at": "2026-08-18T06:06:33.379311Z",
"modified_at": "2026-08-18T06:06:33.379652Z",
"created_by": "892de25a-54a1-5739-ba50-f45697e10db2"
}
],
"total_count": 2
}
}
PUT /api/v1/metrics/parameter/{parameterId}Update a metric parameter.Request BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Display name.
string
Value to set.
string
required
ID of the metric parameter.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "default_row_limit",
"value": "50000"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"name": "default_row_limit",
"value": "50000"
}
Response
{
"success": true,
"message": "Update a metric parameter.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/metrics/parameter/{parameterId}Soft-delete a metric parameter.Path Parametersstring
required
ID of the metric parameter.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/parameter/{parameterId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Soft-delete a metric parameter.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}